|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::Theme::ThemeImage Class Reference

`#include <Theme.h>`

Inheritance diagram for gameplay::Theme::ThemeImage:

List of all members.

## Public Member Functions

const char * | getId () const
const UVs & | getUVs () const
const Rectangle & | getRegion () const
const Vector4 & | getColor () const

## Detailed Description

Class representing an image within the theme's texture atlas. An image has a region and a blend color in addition to an ID. UV coordinates are calculated from the region and can be retrieved.

## Member Function Documentation

const Vector4& gameplay::Theme::ThemeImage::getColor | ( |  | ) | const

Gets the color of the ThemeImage in a Vector4.

const char* gameplay::Theme::ThemeImage::getId | ( |  | ) | const

Gets the ID of the ThemeImage.

const Rectangle& gameplay::Theme::ThemeImage::getRegion | ( |  | ) | const

Gets the Rectangle region of the ThemeImage.

const UVs& gameplay::Theme::ThemeImage::getUVs | ( |  | ) | const

Gets the UV coordinates for the ThemeImage.

All Classes Functions Variables Typedefs Enumerations Enumerator